package com.ss.android.ugc.aweme.discover.model;

import X.2ce;
import X.B6m;
import X.Ls2;
import com.bytedance.covode.number.Covode;
import com.ss.android.ugc.aweme.discover.model.suggest.Word;

public final class SearchIntermediateViewModel$firstGuessWord$2 extends B6m implements Ls2<2ce<Word>> {
    public static final SearchIntermediateViewModel$firstGuessWord$2 INSTANCE = new SearchIntermediateViewModel$firstGuessWord$2();

    static {
        Covode.recordClassIndex(65193);
    }

    public SearchIntermediateViewModel$firstGuessWord$2() {
        super(0);
    }

    public final 2ce<Word> invoke() {
        return new 2ce<>();
    }
}
